WESNOTH(6)

NIMI
wesnoth - Wesnothi Lahing (Battle for Wesnoth), käigupõhine fantaasia-strateegiamäng

LÜHIDALT
wesnoth [VALIKUD] [ANDMEFAILIDE KATALOOGITEE]

KIRJELDUS
Battle for Wesnoth (Wesnothi Lahing) on käigupõhine fantaasia-strateegiamäng.

Alista kõik vastaste pealikud hästivalitud üksuste abil, hoolitse oma külade ja kullavaru eest. Igal üksusel on oma tugevad ja nõrgad küljed - võitmiseks pead kasutama kõiki oma vägede eeliseid ning takistama vastasel sedasama teha. Kui üksused koguvad kogemusi, omandavad nad uusi võimeid ja saavad tugevamaks. Mängi enda emakeeles ja katseta oma oskusi kas taibuka arvuti juhitud mängija vastu või liitu Wesnothi võrgumängijate suure kogukonnaga. Loo uusi üksusi, stsenaariume või sõjakäike ning jaga neid teistega.

VALIKUD

--bpp arvr
    määrab bittide arvu pikseli kohta. N: --bpp 32

-c, --campaign
    läheb otse sõjakäikude valimise menüüsse.

--config-dir nimi
    määrab kasutajasätete kataloogiks nimi kataloogi $HOME või "My Documents\My Games" Windowsi puhul.

--config-path
    kirjutab ekraaanile kasutajasätete kataloogi nime ja väljub programmist.

-d, --debug
    võimaldab mängu sees kasutada täiendavaid käsureaparameetreid (vt wikit http://www.wesnoth.org/wiki/CommandMode käsurea lisainfo saamiseks).

--dummy-locales
    Kasuta asukohamalle, et lülituda keelele ka siis, kui seda pole süsteemi paigaldatud.

-e, --editor failinimi
    käivitab otse kaardiredaktori. Kui failinimi on määratud, on see käsk sama kui -e --load

--fps
    näitab ekraaninurgas ekraanikaadrite arvu sekundis.

-f, --fullscreen
    käivitab mängu üleekraanirežiimis.

--gunzip sisend.gz
    pakib gzip-vormingus faili lahti. Fail sisend.gz kustutatakse.

--gzip sisend
    pakib faili gzip-vormingusse nime alla sisend.gz ja kustutab faili sisend.

-h, --help
    kuvab käsureavalikute kokkuvõtte standardsele väljundseadmele (enamasti ekraanile) ja väljub programmist.

-l, --load failinimi
    laeb salvestatud mängu nimega failinimi standardsest salvestuskataloogist. Kui kasutatakse ka valikut -e või --editor, siis avab sellenimelise kaardi redaktoris. Kui see on aga kataloog, avab kaardiredaktori ja kuvab failiavamisakna.

--log-level=domain1,domain2,...
    määrab logimise taseme. all valib kõik tasemed. Tasemeteks on: error, warning, info, debug. Vaikimisi on kasutusel error.

--logdomains
    Väljastab logitasemete nimekirja ja väljub programmist.

--max-fps
    mängu väljastatavate ekraanikaadrite arv sekundis, peaks jääma vahemikku 1-1000. Vaikimisi väärtuseks on 50.

-m, --multiplayer
    käivitab mitmemängija mängu. Selle valikuga koos saab kasutada ka teisi.

--no-delay
    käivitab mängu ilma viivituseta, et testida graafikavõimalusi. Selle lülitab automaatselt sisse ka --nogui.

--nocache
    lülitab mänguandmete puhverdamise välja.

--nomusic
    käivitab mängu ilma taustamuusikata.

--nosound
    käivitab mängu ilma taustamuusika ja heliefektideta.

--path
    väljastab mängu andmekataloogi nime ja väljub programmist.

-r XxY, --resolution XxY
    määrab ekraani eraldusvõime. N: -r 800x600

--smallgui
    lubab kasutada eraldusvõimeid kuni 800x480 ja muudab mõningate kasutajaliidese elementide suurust.

-s, --server [arvuti]
    kui määratud, ühendub konkreetse serveriga, muidu aga eelistustes esimesena loetletud serveriga. N: --server server.wesnoth.org

-t, --test
    käivitab mängu ja väikese testistsenaariumi.

--validcache
    eeldab, et puhver on töökorras. (ohtlik)

-v, --version
    väljastab versiooninumbri ja väljub programmist.

-w, --windowed
    käivitab mängu aknarežiimis.

--with-replay
    mängib uuesti läbi --load valikuga määratud mängu.

Valiku --multiplayer lisavalikud
Osapoolespetsiifilisi mitmemängija valikuid tähistab number. number tuleb asendada osapoole numbriga - tavaliselt on see 1 või 2, kuid sõltub suurimast võimalike mängijate arvust.

--algorithmnumber=väärtus
    valib selle osapoole tehisintellekti jaoks ebastandardse algoritmi. Võimalikud valikud: idle_ai ja sample_ai.

--controllernumber=väärtus
    valib osapoole juhtimisviisi. Võimalikud: human või ai.

--era=väärtus
    valib mõne muu ajastu Vaikimisi ajastu asemel. Ajastu valitakse tunnuse järgi. Ajastud on kirjeldatud data/multiplayer/eras.cfg -failis.

--exit-at-end
    stsenaariumi lõppedes väljub programmist ilma võidu/kaotuse akent kuvamata (see eeldab mängijalt hiireklõpsu tegemist). Kasutatakse ka skriptitud testide läbiviimisel.

--nogui
    käivitab mängu ilma graafilise liideseta. Peab asuma eespool kui --multiplayer.

--parmnumber=nimi:väärtus
    määrab osapoole lisaparameetrid. Sõltub valikutest --controller ja --algorithm. Ilmselt on kasulik vaid neile, kes soovivad ise tehisintellekti kavandada. (see pole veel lõplikult dokumenteeritud)

--scenario=väärtus
    valib väärtuse järgi mitmemängija stsenaariumi. Vaikimisi on selleks multiplayer_The_Freelands.

--sidenumber=väärtus
    määrab selle osapoole jaoks kasutusel oleva ajastu tegelasterühma. Rühma määrab selle number. Rühmi on kirjeldatud failis data/multiplayer.cfg .

--turns=väärtus
    määrab valitud stsenaariumi käikude arvu. Vaikimisi väärtuseks on 50.

AUTOR
Kirjutanud David White <davidnwhite@verizon.net>.
Parandanud Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> ja Soliton <soliton.de@gmail.com>.
Selle manuaalilehe kirjutas algselt Cyril Bouthors <cyril@bouthors.org>.
Külasta ametlikku kodulehte: http://www.wesnoth.org/

AUTORIÕIGUS
Autoriõigused © 2003-2007 David White <davidnwhite@verizon.net>
See on vaba tarkvara - see tarkvara kasutab Vaba Tarkvara Sihtasutuse koostatud GPL litsentsi versiooni 2. Garantiid EI OLE, isegi mitte müügikõlbulikkuse või kindlaks otstarbeks kasutuskõlbulikkuse suhtes.

LISAINFO
wesnoth_editor(6), wesnothd(6)